searchNodes=[{"doc":"Contains the Quantonex.DataPoint type.","ref":"Quantonex.DataPoint.html","title":"Quantonex.DataPoint","type":"module"},{"doc":"Represents a data point of an instrument. complete - true if the data point is complete, otherwise false A data point is considered incomplete if not all data is known or final. This usually occurs if the current interval defined by granularity has not yet finished. close - the close price granularity - the granularity of the data point e.g. H4 instrument - an instrument e.g. EURUSD high - the highest price low - the lowest price open - the open price datetime - the datetime volume - the volume","ref":"Quantonex.DataPoint.html#t:t/0","title":"Quantonex.DataPoint.t/0","type":"type"},{"doc":"Contains technical indicators.","ref":"Quantonex.Indicators.html","title":"Quantonex.Indicators","type":"module"},{"doc":"Calculates a list of exponential moving averages (EMAs) for a given dataset and period. The first n elements (n == period) are used to calculate the initial EMA using a SMA. Each successive value is calculated using an EMA. Possible return values are: {:error, reason} {:ok, values} The returned list of EMA values has the same length as the input dataset, so they can be joined again. Examples dataset = 1..11 |&gt; Enum.map(fn x -&gt; x end) [1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11] {:ok, emas} = Quantonex.Indicators.ema(dataset, 10) {:ok, [#Decimal&lt;0&gt;, #Decimal&lt;0&gt;, #Decimal&lt;0&gt;, #Decimal&lt;0&gt;, #Decimal&lt;0&gt;, #Decimal&lt;0&gt;, #Decimal&lt;0&gt;, #Decimal&lt;0&gt;, #Decimal&lt;0&gt;, #Decimal&lt;5.5&gt;, #Decimal&lt;6.500000000000000000000000000&gt;]} Enum.zip(dataset, emas) [ {1, #Decimal&lt;0&gt;}, {2, #Decimal&lt;0&gt;}, {3, #Decimal&lt;0&gt;}, {4, #Decimal&lt;0&gt;}, {5, #Decimal&lt;0&gt;}, {6, #Decimal&lt;0&gt;}, {7, #Decimal&lt;0&gt;}, {8, #Decimal&lt;0&gt;}, {9, #Decimal&lt;0&gt;}, {10, #Decimal&lt;5.5&gt;}, {11, #Decimal&lt;6.500000000000000000000000000&gt;} ]","ref":"Quantonex.Indicators.html#ema/2","title":"Quantonex.Indicators.ema/2","type":"function"},{"doc":"Calculates a single exponential moving average (EMA) for a given price, period and another EMA. This is a convenience function to avoid calculation using a complete dataset. See Quantonex.Indicators.ema/2 for how to calculate an initial EMA. Possible return values are: {:error, reason} {:ok, value} Examples previous_ema = Decimal.from_float(5.5) #Decimal&lt;5.5&gt; {:ok, value} = Quantonex.Indicators.ema(11, 10, previous_ema) {:ok, #Decimal&lt;6.500000000000000000000000000&gt;}","ref":"Quantonex.Indicators.html#ema/3","title":"Quantonex.Indicators.ema/3","type":"function"},{"doc":"Calculates a list of relative strength indexes (RSIs) for a given dataset.","ref":"Quantonex.Indicators.html#rsi/2","title":"Quantonex.Indicators.rsi/2","type":"function"},{"doc":"Calculates a simple moving average (SMA) for a given dataset. The period of the SMA is fixed and equal to the length of the dataset. Possible return values are: {:error, reason} {:ok, value} Examples iex&gt; Quantonex.Indicators.sma([1, 2, 3]) {:ok, Decimal.new(2)}","ref":"Quantonex.Indicators.html#sma/1","title":"Quantonex.Indicators.sma/1","type":"function"},{"doc":"Calculates a list of volume weighted average prices (VWAPs) for a given dataset. The following data point properties are used to calculate a VWAP value. high low close volume Possible return values are: {:error, reason} {:ok, values} The returned list of VWAP values has the same length as the input dataset, so they can be joined again. Examples dataset = [%Quantonex.DataPoint{ close: #Decimal&lt;127.28&gt;, high: #Decimal&lt;127.36&gt;, low: #Decimal&lt;126.99&gt;, volume: 89329 },...] {:ok, vwaps} = Quantonex.Indicators.vwap(dataset) {:ok, [%{ cumulative_volume: 89329, cumulative_volume_price: #Decimal&lt;11363542.09&gt;, value: #Decimal&lt;127.21&gt; }, ...] } Enum.zip(dataset, vwaps) [ ... ]","ref":"Quantonex.Indicators.html#vwap/1","title":"Quantonex.Indicators.vwap/1","type":"function"},{"doc":"Calculates a single volume weighted average price (VWAP). The following data point properties are used to calculate a VWAP value. high low close volume Possible return values are: {:error, reason} {:ok, values} Examples data_point = %Quantonex.DataPoint{ close: Decimal.new(6), high: Decimal.new(8), low: Decimal.new(4), volume: 10 } {:ok, %{ &quot;cumulative_volume&quot;: cumulative_volume, &quot;cumulative_volume_price&quot;: cumulative_volume_price, &quot;value&quot;: value } } = Quantonex.Indicators.vwap(data_point) Successive calculations can be done by passing previously calculated cumulative values to the function. next_data_point = %Quantonex.DataPoint{ close: Decimal.new(8), high: Decimal.new(10), low: Decimal.new(6), volume: 20 } Quantonex.Indicators.vwap(next_data_point, cumulative_volume, cumulative_volume_price)","ref":"Quantonex.Indicators.html#vwap/3","title":"Quantonex.Indicators.vwap/3","type":"function"},{"doc":"Represents a smoothing method. :ema - exponential moving average :sma - simple moving average","ref":"Quantonex.Indicators.html#t:smoothing_method/0","title":"Quantonex.Indicators.smoothing_method/0","type":"type"},{"doc":"Represents a volume weighted average price. value - the volume weighted average price cumulative_volume - the previous volume plus the current volume cumulative_volume_price - the previous volume price plus the current volume price","ref":"Quantonex.Indicators.html#t:volume_weighted_average_price/0","title":"Quantonex.Indicators.volume_weighted_average_price/0","type":"type"}]